Bug 100200 - Default Unreal Engine 4 frag shader fails to compile
Summary: Default Unreal Engine 4 frag shader fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: 13.0
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-14 16:07 UTC by Felix Bellaby
Modified: 2018-12-07 16:05 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
default UE4 fragment shader (103.66 KB, text/plain)
2017-03-14 16:07 UTC, Felix Bellaby
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Bellaby 2017-03-14 16:07:48 UTC
Created attachment 130218 [details]
default UE4 fragment shader

UE4Editor (with -opengl3) seems to run reasonably well on r600/ARUBA using Mesa version 13.0, apart from the failure to compile the attached default fragment shader.
Comment 1 Gert Wollny 2017-12-06 11:53:00 UTC
This shader uses many arrays, and hence, reserves more registers that the r600 hardware supports.

A work-in-progress patch series that fixes this can be found at

https://github.com/gerddie/mesa/tree/merge-arrays-v0

Best, 
Gert
Comment 2 Gert Wollny 2018-08-11 11:37:55 UTC
The according series has been pushed.
Comment 3 Emil Velikov 2018-12-07 16:05:06 UTC
With the work landed, I think we can close this. Gert, feel free to open if I've missed something.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.